libwps Namespace Reference documentation

Namespaces | Classes | Enumerations | Functions
libwps Namespace Reference

## Namespaces
namespace | Debug
namespace | MultiplanParserInternal
| Internal: namespace to define internal class of MultiplanParser.

## Classes
class | DebugFile
class | DebugStream
class | FileException
class | GenericException
class | MultiplanParser
| This class parses Microsoft Multiplan DOS spreadsheet v1. More...
class | ParseException
class | PasswordException
class | VersionException
class | WPSDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Enumerations
enum | NumberingType { NONE , BULLET , ARABIC , LOWERCASE , UPPERCASE , LOWERCASE_ROMAN , UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE , DOC_HEADER_FOOTER , DOC_NOTE , DOC_TABLE , DOC_TEXT_BOX , DOC_COMMENT_ANNOTATION , DOC_CHART_ZONE }
enum | Justification { JustificationLeft , JustificationFull , JustificationCenter , JustificationRight , JustificationFullAllLines }
enum | { NoBreakBit = 0x1 , NoBreakWithNextBit =0x2 }
enum | WPSConfidence { WPS_CONFIDENCE_NONE =0 , WPS_CONFIDENCE_EXCELLENT , WPS_CONFIDENCE_SUPPORTED_ENCRYPTION }
enum | WPSCreator { WPS_MSWORKS =0 , WPS_LOTUS , WPS_QUATTRO_PRO , WPS_SYMPHONY , WPS_RESERVED_0 , WPS_RESERVED_1 , WPS_RESERVED_2 , WPS_RESERVED_3 , WPS_RESERVED_4 , WPS_RESERVED_5 , WPS_RESERVED_6 , WPS_RESERVED_7 , WPS_RESERVED_8 , WPS_MSWRITE =WPS_RESERVED_0 , WPS_DOSWORD =WPS_RESERVED_1 , WPS_MULTIPLAN =WPS_RESERVED_2 , WPS_XYWRITE =WPS_RESERVED_3 , WPS_POCKETWORD =WPS_RESERVED_4 }
enum | WPSKind { WPS_TEXT =0 , WPS_SPREADSHEET , WPS_DATABASE }
enum | WPSResult { WPS_OK , WPS_ENCRYPTION_ERROR , WPS_FILE_ACCESS_ERROR , WPS_PARSE_ERROR , WPS_OLE_ERROR , WPS_UNKNOWN_ERROR }

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
int8_t | read8 (librevenge::RVNGInputStream *input)
uint16_t | readU16 (librevenge::RVNGInputStream *input)
int16_t | read16 (librevenge::RVNGInputStream *input)
uint32_t | readU32 (librevenge::RVNGInputStream *input)
int32_t | read32 (librevenge::RVNGInputStream *input)
bool | readDouble4 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes
bool | readDouble8 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes
bool | readDouble10 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes
bool | readDouble2Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes
bool | readDouble4Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes
bool | readData (RVNGInputStreamPtr &input, unsigned long sz, librevenge::RVNGBinaryData &data)
| try to read sz bytes from input and store them in a librevenge::RVNGBinaryData
bool | readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
| try to read the last bytes from input and store them in a librevenge::RVNGBinaryData
std::string | numberingTypeToString (NumberingType type)
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propVect)
void | appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string ( with correct encoding ).
std::string | getCellName (Vec2i const &cellPos, Vec2b const &relative=Vec2b(true, true))
| returns the cell name corresponding to a cell's position
bool | encodeLotusPassword (char const *password, uint16_t &key, std::vector< uint8_t > &keys, uint8_t const (&defValues)[16])
| returns the checksum and the keys (to encode a lotus file) given a password file
uint8_t | readU8 (RVNGInputStreamPtr const &input)
uint16_t | readU16 (RVNGInputStreamPtr const &input)
uint32_t | readU32 (RVNGInputStreamPtr const &input)
int8_t | read8 (RVNGInputStreamPtr const &input)
int16_t | read16 (RVNGInputStreamPtr const &input)
int32_t | read32 (RVNGInputStreamPtr const &input)
static int | strncasecmp (char const *s1, char const *s2, size_t n)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NoBreakBit |
NoBreakWithNextBit |

## ◆ Justification

enum libwps::Justification

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

## ◆ NumberingType

enum libwps::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

## ◆ SubDocumentType

enum libwps::SubDocumentType

Enumerator
DOC_NONE |
DOC_HEADER_FOOTER |
DOC_NOTE |
DOC_TABLE |
DOC_TEXT_BOX |
DOC_COMMENT_ANNOTATION |
DOC_CHART_ZONE |

## ◆ WPSConfidence

enum libwps::WPSConfidence

Enumerator
WPS_CONFIDENCE_NONE |
WPS_CONFIDENCE_EXCELLENT |
WPS_CONFIDENCE_SUPPORTED_ENCRYPTION |

## ◆ WPSCreator

enum libwps::WPSCreator

Enumerator
WPS_MSWORKS |
WPS_LOTUS | Lotus DOS(wk1), Apple(Lotus 123 v1), Windows(wk3,wk4,123) spreadsheets.
WPS_QUATTRO_PRO | Quattro Pro wq1,wq2, wb1,wb2,wb3, qpw spreadsheets and qpw spreadsheet. Concerning .qpw, the code is written for Quattro 9's spreadsheets, after unsure.
WPS_SYMPHONY | Lotus Symphony files(untested, probably DOS documents)
WPS_RESERVED_0 |
WPS_RESERVED_1 |
WPS_RESERVED_2 |
WPS_RESERVED_3 |
WPS_RESERVED_4 |
WPS_RESERVED_5 |
WPS_RESERVED_6 |
WPS_RESERVED_7 |
WPS_RESERVED_8 |
WPS_MSWRITE |
WPS_DOSWORD |
WPS_MULTIPLAN |
WPS_XYWRITE |
WPS_POCKETWORD |

## ◆ WPSKind

enum libwps::WPSKind

Enumerator
WPS_TEXT |
WPS_SPREADSHEET |
WPS_DATABASE |

## ◆ WPSResult

enum libwps::WPSResult

Enumerator
WPS_OK |
WPS_ENCRYPTION_ERROR |
WPS_FILE_ACCESS_ERROR |
WPS_PARSE_ERROR |
WPS_OLE_ERROR |
WPS_UNKNOWN_ERROR |

## Function Documentation

## ◆ appendUnicode()

void libwps::appendUnicode | ( | uint32_t | val,
|  | librevenge::RVNGString & | buffer )

adds an unicode character to a string ( with correct encoding ).

Referenced by WKSContentListener::insertUnicode(), WPSContentListener::insertUnicode(), PocketWordParser::readFontNames(), WPS4Text::readParagraph(), WPS8TextStyle::readParagraph(), PocketWordParser::readSound(), WPS8Text::readString(), PocketWordParser::sendParagraph(), libwps_tools_win::unicodeFromCP932(), libwps_tools_win::unicodeFromCP950(), libwps_tools_win::Font::unicodeString(), and XYWriteParser::update().

## ◆ convertDTFormat()

static bool libwps::convertDTFormat | ( | std::string const & | dtFormat,
|  | librevenge::RVNGPropertyListVector & | propVect )
| static

Referenced by WPSField::addTo().

## ◆ encodeLotusPassword()

bool libwps::encodeLotusPassword | ( | char const * | password,
|  | uint16_t & | key,
|  | std::vector< uint8_t > & | keys,
|  | uint8_t const(&) | defValues[16] )

returns the checksum and the keys (to encode a lotus file) given a password file

Referenced by LotusParser::readZone(), WKS4Parser::readZone(), and LotusParser::retrievePasswordKeys().

## ◆ getCellName()

std::string libwps::getCellName | ( | Vec2i const & | cellPos,
|  | Vec2b const & | relative )

returns the cell name corresponding to a cell's position

Referenced by WKSChart::Position::getCellName(), WKSContentListener::FormulaInstruction::operator<<, and QuattroGraph::sendGraphic().

## ◆ numberingTypeToString()

std::string libwps::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by WPSPageSpan::_insertPageNumberParagraph(), and WPSList::Level::addTo().

## ◆ read16() [1/2]

int16_t libwps::read16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), LotusParser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Format::checkHeader(), WKS4Parser::checkHeader(), WPSOLEObject::checkIsWMF(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), WPS4Text::objectDataParser(), WPS8Struct::FileData::operator<<, WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), read16(), WPS8Graph::readBDR(), QuattroGraph::readBeginEnd(), Quattro9Spreadsheet::readBeginSheet(), QuattroParser::readBlockList(), LotusSpreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), QuattroDosSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), Quattro9Spreadsheet::readCellList(), LotusSpreadsheet::readCellName(), QuattroDosSpreadsheet::readCellProperty(), LotusSpreadsheet::readCellsFormat801(), QuattroDosSpreadsheet::readCellStyle(), LotusChart::readChart(), QuattroDosChart::readChart(), QuattroGraph::readChart(), WKS4Chart::readChart(), WKS4Chart::readChart2Font(), WKS4Chart::readChart3D(), WKS4Chart::readChartAxis(), WKS4Chart::readChartDim(), WKS4Chart::readChartFont(), WKS4Chart::readChartLimit(), LotusChart::readChartName(), WKS4Chart::readChartName(), WKS4Chart::readChartSeries(), WKS4Chart::readChartSeriesColorMap(), WKS4Chart::readChartSeriesStyles(), LotusSpreadsheet::readColumnDefinition(), QuattroDosSpreadsheet::readColumnSize(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), LotusParser::readDataZone(), QuattroGraph::readDialog(), WPS8Parser::readDocProperties(), LotusParser::readDocumentInfoMac(), WPS4Parser::readDocWindowsInfo(), LotusSpreadsheet::readExtraRowFormats(), WPSTextParser::readFDP(), QuattroDosParser::readFieldName(), WKS4Parser::readFieldName(), QuattroDosParser::readFileName(), LotusStyleManager::readFMTFontId(), LotusStyleManager::readFMTFontName(), LotusStyleManager::readFMTFontSize(), LotusGraph::readFMTPictName(), LotusParser::readFMTStyleName(), WKS4Parser::readFont(), WKS4Format::readFontId(), WKS4Format::readFontName(), WKS4Format::readFontSize(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), WPS8Parser::readFRAM(), LotusGraph::readFrame(), WPS8Parser::readFRCD(), LotusGraph::readGraphic(), LotusGraph::readGraphZone(), QuattroGraph::readHeader(), QuattroDosParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), QuattroDosSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), WPS8Graph::readIBGF(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), LotusChart::readMacHeader(), LotusChart::readMacPosition(), WPS8Table::readMCLD(), WPSOLEObject::readMetafile(), WPSOLEParser::readMM(), WKS4Spreadsheet::readMsWorksColumnSize(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WKS4Spreadsheet::readMsWorksPageBreak(), WKS4Spreadsheet::readMsWorksRowSize(), WKS4Spreadsheet::readMsWorksStyle(), libwps::MultiplanParser::readName(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOlePres(), QuattroParser::readOLEZones(), Quattro9Spreadsheet::readPageBreak(), WPS4Text::readParagraph(), WPS8Text::readPLC(), LotusChart::readPlotArea(), QuattroGraph::readPolygon(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowRangeSize(), QuattroDosSpreadsheet::readRowSize(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), WPS8TextStyle::readSGP(), QuattroGraph::readShape(), QuattroGraph::readShapeHeader(), Quattro9Graph::readShapeRec(), LotusSpreadsheet::readSheetHeader(), LotusSpreadsheet::readSheetName(), QuattroDosSpreadsheet::readSheetSize(), QuattroSpreadsheet::readSheetSize(), WKS4Spreadsheet::readSheetSize(), LotusParser::readSheetZone(), WPSOLEParser::readSummaryProperty(), WPSOLEParser::readSummaryPropertyLong(), QuattroGraph::readTextBox(), LotusGraph::readTextBoxDataD1(), Quattro9Graph::readTextboxStyle(), QuattroDosParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroDosParser::readUserFonts(), QuattroDosSpreadsheet::readUserStyle(), QuattroDosParser::readWindowRecord(), WKS4Parser::readWindowRecord(), WPS8Parser::readWNPR(), LotusParser::readZone(), Quattro9Parser::readZone(), QuattroDosParser::readZone(), QuattroParser::readZone(), WKS4Parser::readZone(), LotusParser::readZone4(), libwps::MultiplanParser::readZoneB(), LotusGraph::readZoneBeginC9(), LotusGraph::readZoneData(), libwps::MultiplanParser::sendCell(), PocketWordParser::sendParagraph(), and WPS8Text::tokenEndDataParser().

## ◆ read16() [2/2]

int16_t libwps::read16 | ( | RVNGInputStreamPtr const & | input | ) |
| inline

## ◆ read32() [1/2]

int32_t libwps::read32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), WPSOLEObject::checkIsWMF(), WPS4Parser::findZones(), WPSOLEParser::isOle10Native(), WPSOLEParser::isOlePres(), read32(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPSOLEParser::readContents(), WPS8Struct::FileData::readData, WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), LotusGraph::readGraphDataZone(), Quattro9Graph::readGraphHeader(), LotusGraph::readGraphic(), LotusGraph::readGraphZone(), QuattroGraph::readHeader(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPSOLEObject::readOLE(), WPSOLEParser::readOle10Native(), Quattro9Parser::readOleBOlePart(), QuattroParser::readOleBOlePart(), WPSOLEParser::readOlePres(), WKS4Parser::readPrn2(), WPS4Parser::readPrnt(), WPSOLEObject::readStaticOLE(), WPS8TextStyle::readSTSH(), WPSOLEParser::readSummaryProperty(), WPSOLEParser::readSummaryPropertyLong(), WPS8Parser::readSYID(), WPSOLEObject::readWMF(), WPS8Parser::readWNPR(), LotusParser::readZone1(), LotusParser::readZone4(), and WPS8Text::tokenEndDataParser().

## ◆ read32() [2/2]

int32_t libwps::read32 | ( | RVNGInputStreamPtr const & | input | ) |
| inline

## ◆ read8() [1/2]

int8_t libwps::read8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by LotusParser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Format::checkHeader(), WKS4Parser::checkHeader(), WPS4Parser::findZones(), read8(), WPS8Graph::readBDR(), WKS4Spreadsheet::readCell(), LotusChart::readChart(), LotusParser::readDataZone(), LotusParser::readDocumentInfoMac(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readFont(), WPS8TextStyle::readFontNames(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), WPS8Parser::readFRCD(), QuattroDosParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), LotusParser::readMacFontName(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WPS8Text::readNotes(), WPSOLEParser::readOle(), WPS4Text::readParagraph(), WPS8Text::readPLC(), LotusChart::readSerie(), QuattroGraph::readShapeHeader(), QuattroDosParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroDosSpreadsheet::readUserStyle(), QuattroSpreadsheet::readViewInfo(), LotusParser::readZone(), Quattro9Parser::readZone(), QuattroDosParser::readZone(), WKS4Format::readZone(), WKS4Parser::readZone(), libwps::MultiplanParser::readZoneB(), and LotusGraph::readZoneData().

## ◆ read8() [2/2]

int8_t libwps::read8 | ( | RVNGInputStreamPtr const & | input | ) |
| inline

## ◆ readData()

bool libwps::readData | ( | RVNGInputStreamPtr & | input,
|  | unsigned long | size,
|  | librevenge::RVNGBinaryData & | data )

try to read sz bytes from input and store them in a librevenge::RVNGBinaryData

Referenced by LotusParser::decodeStream(), WPSOLEParser::readContents(), readData(), readDataToEnd(), WPSOLEObject::readEmbeddedOLE(), WPSOLEObject::readMetafile(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), LotusGraph::readPictureData(), PocketWordParser::readSoundData(), WPSOLEObject::readStaticOLE(), WPSOLEObject::readWMF(), and LotusGraph::sendPicture().

## ◆ readDataToEnd()

bool libwps::readDataToEnd | ( | RVNGInputStreamPtr & | input,
|  | librevenge::RVNGBinaryData & | data )

try to read the last bytes from input and store them in a librevenge::RVNGBinaryData

Referenced by WPS4Parser::createOLEStructures(), WPS8Parser::createOLEStructures(), libwps::MultiplanParser::decodeStream(), Quattro9Parser::decodeStream(), QuattroParser::decodeStream(), WKS4Parser::decodeStream(), WPSOLEParser::readCONTENTS(), and WPSOLEParser::readMN0AndCheckWKS().

## ◆ readDouble10()

bool libwps::readDouble10 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN )

read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes

Referenced by LotusSpreadsheet::readCell(), LotusChart::readChart(), LotusSpreadsheet::readFormula(), and LotusChart::readPlotArea().

## ◆ readDouble2Inv()

bool libwps::readDouble2Inv | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN )

read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes

Referenced by LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

## ◆ readDouble4()

bool libwps::readDouble4 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN )

read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes

(first&3)==1: is used to decide if we store 100*N or N., (first&3)==2: indicates a basic int number (appears mainly when converting a dos file in a windows file) (first&3)==3: Can this exist ? What does this mean: 100*a basic int ? The other bytes seem to have classic meaning...

Referenced by WKS4Spreadsheet::readCell(), Quattro9Spreadsheet::readCellList(), and LotusParser::readZone7().

## ◆ readDouble4Inv()

bool libwps::readDouble4Inv | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN )

read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes

Referenced by LotusSpreadsheet::readCell(), and LotusSpreadsheet::readFormula().

## ◆ readDouble8()

bool libwps::readDouble8 | ( | RVNGInputStreamPtr & | input,
|  | double & | res,
|  | bool & | isNaN )

read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes

Referenced by QuattroParser::readBlockList(), LotusSpreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), Quattro9Spreadsheet::readCellList(), QuattroDosChart::readChart(), WKS4Chart::readChart(), WKS4Chart::readChartAxis(), libwps::MultiplanParser::readDouble(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), QuattroParser::readOptimizer(), and QuattroParser::readPaneAttribute().

## ◆ readU16() [1/2]

uint16_t libwps::readU16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), DosWordParser::checkHeader(), libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), PocketWordParser::checkHeader(), Quattro9Parser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Format::checkHeader(), WKS4Parser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), PocketWordParser::createZones(), WPSOLE1Parser::createZones(), libwps::MultiplanParser::decodeStream(), LotusParser::decodeStream(), Quattro9Parser::decodeStream(), QuattroParser::decodeStream(), WKS4Parser::decodeStream(), WPS4Text::defDataParser(), WPS4Text::dttmDataParser(), WPS4Parser::findZones(), WPS4Text::footNotesDataParser(), DosWordParser::getFileEncoding(), WPS8Text::numPages(), WPS8Struct::FileData::operator<<, WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read16(), Quattro9Spreadsheet::readBeginColumn(), Quattro9Graph::readBeginEnd(), QuattroGraph::readBeginEnd(), QuattroSpreadsheet::readBeginEndSheet(), Quattro9Graph::readBeginEndZone(), Quattro9Spreadsheet::readBeginSheet(), QuattroGraph::readBitmap(), WPS8Struct::FileData::readBlockData, QuattroParser::readBlockList(), QuattroGraph::readButton(), LotusSpreadsheet::readCell(), LotusSpreadsheet::readCell(), Quattro9Spreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), WKS4Spreadsheet::readCell(), libwps::MultiplanParser::readCellDataPosition(), QuattroDosSpreadsheet::readCellFormulaResult(), WKS4Spreadsheet::readCellFormulaResult(), Quattro9Spreadsheet::readCellList(), LotusSpreadsheet::readCellName(), QuattroParser::readCellPosition(), QuattroDosSpreadsheet::readCellProperty(), Quattro9Spreadsheet::readCellReference(), QuattroSpreadsheet::readCellReference(), Quattro9Spreadsheet::readCellResult(), LotusSpreadsheet::readCellsFormat801(), QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), Quattro9Spreadsheet::readCellStyles(), LotusChart::readChart(), QuattroDosChart::readChart(), QuattroGraph::readChart(), WKS4Chart::readChart(), WKS4Chart::readChart2Font(), WKS4Chart::readChart3D(), WKS4Chart::readChartAxis(), WKS4Chart::readChartDim(), WKS4Chart::readChartFont(), WKS4Chart::readChartLimit(), LotusChart::readChartName(), QuattroDosChart::readChartName(), WKS4Chart::readChartName(), WKS4Chart::readChartSeries(), WKS4Chart::readChartSeriesColorMap(), WKS4Chart::readChartSeriesStyles(), QuattroDosChart::readChartSetType(), LotusParser::readChartZone(), QuattroParser::readColorList(), LotusStyleManager::readColorStyle(), Quattro9Spreadsheet::readColRowDefault(), Quattro9Spreadsheet::readColRowDimension(), Quattro9Spreadsheet::readColRowDimensions(), LotusSpreadsheet::readColumnDefinition(), QuattroSpreadsheet::readColumnRowDefaultSize(), QuattroDosSpreadsheet::readColumnSize(), QuattroSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPS8Struct::FileData::readData, LotusParser::readDataZone(), QuattroGraph::readDialog(), QuattroGraph::readDialogUnknown(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), Quattro9Parser::readDocumentFields(), Quattro9Spreadsheet::readDocumentFormulas(), Quattro9Parser::readDocumentStrings(), WPS4Text::readDosLink(), readDouble10(), readDouble2Inv(), readDouble4(), QuattroParser::readExternalData(), LotusSpreadsheet::readExtraRowFormats(), WPSTextParser::readFDP(), MSWriteParser::readFFNTB(), QuattroDosParser::readFieldName(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), QuattroDosParser::readFileName(), libwps::MultiplanParser::readFilename(), Quattro9Parser::readFilePositions(), QuattroGraph::readFillData(), WKS4Spreadsheet::readFilterClose(), WKS4Spreadsheet::readFilterOpen(), LotusStyleManager::readFMTFontId(), LotusStyleManager::readFMTFontName(), LotusStyleManager::readFMTFontSize(), LotusGraph::readFMTPictName(), LotusParser::readFMTStyleName(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), QuattroDosParser::readFont(), WKS4Parser::readFont(), QuattroParser::readFontDef(), WKS4Format::readFontId(), WKS4Format::readFontName(), PocketWordParser::readFontNames(), Quattro9Parser::readFontNames(), WPS8TextStyle::readFontNames(), WKS4Format::readFontSize(), LotusChart::readFontsStyle(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), Quattro9Parser::readFontStyles(), LotusStyleManager::readFormatStyle(), libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), libwps::MultiplanParser::readFormulaV2(), LotusGraph::readFrame(), QuattroGraph::readFrame(), Quattro9Graph::readFrameHeader(), QuattroGraph::readFrameOLE(), Quattro9Graph::readFramePattern(), Quattro9Graph::readFrameStyle(), WPS8Parser::readFRCD(), Quattro9Graph::readGraphHeader(), LotusGraph::readGraphic(), LotusStyleManager::readGraphicStyleC9(), LotusGraph::readGraphZone(), QuattroGraph::readHeader(), QuattroGraph::readHeader(), QuattroDosParser::readHeaderFooter(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), QuattroDosSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), QuattroGraph::readImage(), QuattroGraph::readLine(), LotusStyleManager::readLineStyle(), libwps::MultiplanParser::readLink(), LotusParser::readLinkZone(), LotusChart::readMacFloor(), LotusParser::readMacFontName(), LotusChart::readMacLegend(), LotusChart::readMacPlotArea(), LotusChart::readMacSerie(), LotusStyleManager::readMenuStyleE7(), Quattro9Spreadsheet::readMergedCells(), WPSOLEObject::readMetafile(), WPSOLEParser::readMM(), WKS4Spreadsheet::readMsWorksColumnSize(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksDOSPageBreak(), WKS4Spreadsheet::readMsWorksPageBreak(), WKS4Spreadsheet::readMsWorksRowSize(), WKS4Spreadsheet::readMsWorksStyle(), libwps::MultiplanParser::readName(), WPS4Graph::readObject(), QuattroGraph::readOLEData(), Quattro9Parser::readOleLinkInfo(), QuattroParser::readOleLinkInfo(), Quattro9Graph::readOLEName(), QuattroParser::readOptimizer(), Quattro9Spreadsheet::readPageBreak(), PocketWordParser::readPageDims(), QuattroParser::readPaneAttribute(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), PocketWordParser::readParagraphUnkn(), LotusGraph::readPictureDefinition(), WPS4Text::readPLC(), WPS8Text::readPLC(), LotusChart::readPlotArea(), QuattroGraph::readPolygon(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), Quattro9Parser::readPString(), QuattroParser::readQueryCommand(), QuattroGraph::readRect(), LotusParser::readRefZone(), WKS4Spreadsheet::readReportClose(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormat(), LotusSpreadsheet::readRowFormats(), QuattroSpreadsheet::readRowRangeSize(), QuattroDosSpreadsheet::readRowSize(), QuattroSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), DosWordParser::readSECT(), DosWordParser::readSED(), MSWriteParser::readSED(), QuattroParser::readSerieExtension(), LotusChart::readSerieWidth(), Quattro9Graph::readShape(), QuattroGraph::readShape(), QuattroGraph::readShapeHeader(), Quattro9Graph::readShapeRec(), libwps::MultiplanParser::readSharedData(), LotusSpreadsheet::readSheetHeader(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSheetName(), LotusSpreadsheet::readSheetName1B(), QuattroDosSpreadsheet::readSheetSize(), QuattroSpreadsheet::readSheetSize(), WKS4Spreadsheet::readSheetSize(), LotusParser::readSheetZone(), PocketWordParser::readSound(), QuattroDosSpreadsheet::readSpreadsheetClose(), QuattroDosSpreadsheet::readSpreadsheetName(), QuattroDosSpreadsheet::readSpreadsheetOpen(), WPS8Text::readString(), MSWriteParser::readStructures(), WPS8TextStyle::readSTSH(), LotusStyleManager::readStyleE6(), QuattroParser::readStyleName(), DosWordParser::readSUMD(), WPSOLEParser::readSummaryInformation(), WPSOLEParser::readSummaryProperty(), WPSOLEParser::readSummaryPropertyLong(), MSWriteParser::readText(), WPS8Text::readText(), QuattroGraph::readTextBox(), LotusGraph::readTextBoxDataD1(), Quattro9Graph::readTextboxStyle(), Quattro9Graph::readTextboxText(), Quattro9Parser::readTextFontStyles(), Quattro9Parser::readTextStyles(), readU16(), PocketWordParser::readUnkn2021(), PocketWordParser::readUnkn8(), QuattroDosParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroDosParser::readUserFonts(), QuattroDosSpreadsheet::readUserStyle(), WPS8Text::readUTF16LE(), LotusParser::readVersionZone(), QuattroSpreadsheet::readViewInfo(), QuattroDosParser::readWindowRecord(), WKS4Parser::readWindowRecord(), WPS8Parser::readWNPR(), LotusParser::readZone(), Quattro9Parser::readZone(), QuattroDosParser::readZone(), QuattroParser::readZone(), WKS4Format::readZone(), WKS4Parser::readZone(), LotusParser::readZone1(), QuattroParser::readZone341(), LotusParser::readZone4(), LotusParser::readZone7(), LotusParser::readZone8(), libwps::MultiplanParser::readZoneB(), LotusGraph::readZoneBeginC9(), WKS4Parser::readZoneQuattro(), libwps::MultiplanParser::readZones(), LotusParser::readZones(), QuattroDosParser::readZones(), QuattroParser::readZones(), WKS4Format::readZones(), WKS4Parser::readZones(), libwps::MultiplanParser::readZonesList(), libwps::MultiplanParser::readZonesListV2(), LotusParser::readZoneV3(), libwps::MultiplanParser::retrievePasswordKeys(), libwps::MultiplanParser::sendCell(), PocketWordParser::sendParagraph(), LotusGraph::sendTextBoxWK4(), and WPSOLE1Parser::updateMetaData().

## ◆ readU16() [2/2]

uint16_t libwps::readU16 | ( | RVNGInputStreamPtr const & | input | ) |
| inline

## ◆ readU32() [1/2]

uint32_t libwps::readU32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS8Text::bmktEndDataParser(), PocketWordParser::checkHeader(), Quattro9Parser::checkHeader(), WPSHeader::constructHeader(), WPSOLE1Parser::createZones(), Quattro9Parser::decodeStream(), WPS4Text::defDataParser(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS4Text::objectDataParser(), WPS8Struct::FileData::operator<<, WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), MSWriteParser::processEmbeddedOLE(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read32(), WPS8Graph::readBDR(), Quattro9Spreadsheet::readBeginColumn(), Quattro9Graph::readBeginEnd(), Quattro9Graph::readBeginEndZone(), Quattro9Spreadsheet::readCellList(), Quattro9Spreadsheet::readCellResult(), LotusStyleManager::readCellStyleD2Data(), Quattro9Spreadsheet::readCellStyles(), LotusParser::readChartZone(), Quattro9Spreadsheet::readColRowDimension(), Quattro9Spreadsheet::readColRowDimensions(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), WPSOLEParser::readContents(), Quattro9Spreadsheet::readDocumentFormulas(), Quattro9Parser::readDocumentStrings(), WPS4Parser::readDocWindowsInfo(), readDouble4Inv(), WPSOLEObject::readEmbeddedOLE(), WPS4Text::readEntries(), WPSTextParser::readFDP(), MSWriteParser::readFIB(), Quattro9Parser::readFilePositions(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), WPS8TextStyle::readFontNames(), Quattro9Graph::readFrameHeader(), Quattro9Graph::readGraphHeader(), LotusGraph::readGraphic(), LotusStyleManager::readGraphicStyleC9(), LotusGraph::readGraphZone(), WPS8Table::readMCLD(), Quattro9Spreadsheet::readMergedCells(), WPS8Text::readNotes(), WPSOLEObject::readOLE(), WPSOLEParser::readOlePres(), QuattroParser::readOLEZones(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), WPS8Graph::readPICT(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Parser::readPrnt(), LotusParser::readRefZone(), DosWordParser::readSED(), MSWriteParser::readSED(), Quattro9Graph::readShape(), LotusParser::readSheetZone(), PocketWordParser::readSound(), WPSOLEObject::readStaticOLE(), MSWriteParser::readString(), WPSOLEObject::readString(), LotusStyleManager::readStyleE6(), WPSOLEParser::readSummaryInformation(), WPSOLEParser::readSummaryProperty(), WPSOLEParser::readSummaryPropertyLong(), WPSOLEParser::readSummaryPropertyString(), Quattro9Graph::readTextboxText(), readU32(), WPS8Parser::readWNPR(), Quattro9Parser::readZone(), WKS4Parser::readZone(), LotusParser::readZone1(), LotusParser::readZone4(), LotusParser::readZone8(), PocketWordParser::sendParagraph(), and WPS8Text::tokenEndDataParser().

## ◆ readU32() [2/2]

uint32_t libwps::readU32 | ( | RVNGInputStreamPtr const & | input | ) |
| inline

## ◆ readU8() [1/2]

uint8_t libwps::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by WPS4Text::bkmkDataParser(), DosWordParser::checkHeader(), libwps::MultiplanParser::checkHeader(), LotusParser::checkHeader(), QuattroDosParser::checkHeader(), QuattroParser::checkHeader(), WKS4Format::checkHeader(), WKS4Parser::checkHeader(), WPS4Parser::checkHeader(), XYWriteParser::checkHeader(), WPSHeader::constructHeader(), WPS8Struct::FileData::createErrorString(), XYWriteParser::createFormatChildren(), XYWriteParser::createListener(), XYWriteParser::createTable(), WPSOLE1Parser::createZones(), LotusParser::decodeStream(), Quattro9Parser::decodeStream(), QuattroParser::decodeStream(), WKS4Parser::decodeStream(), WPS4Text::defDataParser(), XYWriteParser::findAllZones(), WPS4Text::findFDPStructuresByHand(), MSWriteParser::getHeaderFooters(), Quattro9ParserInternal::TextEntry::getString(), WPS4Text::numPages(), WPS8Struct::FileData::operator<<, XYWriteParser::parseFormat(), XYWriteParser::parseFrameZone(), WPS8Parser::parseHeaderIndexEntry(), XYWriteParser::parseMetaData(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), read8(), QuattroSpreadsheet::readBeginEndSheet(), QuattroGraph::readButton(), LotusSpreadsheet::readCell(), LotusSpreadsheet::readCell(), QuattroDosSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), Quattro9Spreadsheet::readCellList(), LotusSpreadsheet::readCellName(), QuattroDosSpreadsheet::readCellProperty(), LotusSpreadsheet::readCellsFormat801(), QuattroDosSpreadsheet::readCellStyle(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readCellStyleD2(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), Quattro9Spreadsheet::readCellStyles(), LotusChart::readChart(), QuattroDosChart::readChart(), WKS4Chart::readChart(), WKS4Chart::readChart2Font(), WKS4Chart::readChartAxis(), WKS4Chart::readChartDim(), WKS4Chart::readChartFont(), LotusChart::readChartName(), WKS4Chart::readChartSeries(), WKS4Chart::readChartSeriesStyles(), QuattroDosChart::readChartSetType(), LotusParser::readChartZone(), QuattroParser::readColorList(), LotusStyleManager::readColorStyle(), LotusSpreadsheet::readColumnDefinition(), QuattroDosSpreadsheet::readColumnSize(), WKS4Spreadsheet::readColumnSize(), LotusSpreadsheet::readColumnSizes(), libwps::MultiplanParser::readColumnsWidth(), WPSOLEParser::readCompObj(), WPSOLEParser::readCONTENTS(), QuattroParser::readCString(), WKS4Parser::readCString(), WPS8Struct::FileData::readData, LotusParser::readDataZone(), QuattroGraph::readDialog(), QuattroGraph::readDialogUnknown(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), libwps::MultiplanParser::readDouble(), readDouble10(), readDouble4(), readDouble8(), LotusSpreadsheet::readExtraRowFormats(), WPSTextParser::readFDP(), QuattroParser::readFieldName(), LotusStyleManager::readFMTFontName(), LotusGraph::readFMTPictName(), LotusParser::readFMTStyleName(), MSWriteParser::readFOD(), WKS4Parser::readFont(), WPS4Text::readFont(), WKS4Format::readFontName(), WPS4Text::readFontNames(), LotusChart::readFontsStyle(), LotusStyleManager::readFontStyleA0(), LotusStyleManager::readFontStyleF0(), LotusStyleManager::readFormatStyle(), libwps::MultiplanParser::readFormula(), LotusSpreadsheet::readFormula(), QuattroDosSpreadsheet::readFormula(), QuattroFormulaManager::readFormula(), WKS4Spreadsheet::readFormula(), libwps::MultiplanParser::readFormulaV2(), LotusGraph::readFrame(), Quattro9Graph::readFrameHeader(), LotusChart::readFramesStyle(), Quattro9Graph::readFrameStyle(), WPS8Parser::readFRCD(), libwps::MultiplanParser::readFunctionNamesList(), LotusGraph::readGraphDataZone(), LotusGraph::readGraphic(), LotusStyleManager::readGraphicStyle(), LotusStyleManager::readGraphicStyleC9(), LotusGraph::readGraphZone(), QuattroGraph::readHeader(), QuattroGraph::readHeader(), QuattroDosSpreadsheet::readHiddenColumns(), WKS4Spreadsheet::readHiddenColumns(), WPS8Graph::readIBGF(), QuattroGraph::readLine(), LotusStyleManager::readLineStyle(), libwps::MultiplanParser::readLink(), LotusParser::readLinkZone(), LotusChart::readMacAxis(), LotusChart::readMacFloor(), LotusParser::readMacFontName(), LotusChart::readMacLegend(), LotusChart::readMacPlacement(), LotusChart::readMacPlotArea(), LotusChart::readMacPosition(), LotusChart::readMacSerie(), LotusStyleManager::readMenuStyleE7(), WKS4Spreadsheet::readMsWorksDOSCellExtraProperty(), WKS4Spreadsheet::readMsWorksDOSCellProperty(), WKS4Spreadsheet::readMsWorksDOSFieldProperty(), WKS4Spreadsheet::readMsWorksStyle(), libwps::MultiplanParser::readName(), LotusSpreadsheet::readNote(), Quattro9Parser::readOleLinkInfo(), QuattroParser::readOleLinkInfo(), WPSOLEParser::readOlePres(), QuattroParser::readPaneAttribute(), WPS4Text::readParagraph(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphUnkn(), WPS8Graph::readPICT(), LotusGraph::readPictureData(), LotusGraph::readPictureDefinition(), WPS4Text::readPLC(), WPS8Text::readPLC(), LotusChart::readPlotArea(), WPS4Parser::readPrnt(), Quattro9Parser::readPString(), QuattroDosParser::readPString(), LotusParser::readRefZone(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readRowFormat(), LotusSpreadsheet::readRowFormats(), QuattroDosSpreadsheet::readRowSize(), LotusSpreadsheet::readRowSizes(), DosWordParser::readSECT(), MSWriteParser::readSED(), LotusChart::readSerie(), LotusChart::readSerieName(), LotusChart::readSerieWidth(), QuattroGraph::readShapeHeader(), Quattro9Graph::readShapeRec(), libwps::MultiplanParser::readSharedData(), LotusSpreadsheet::readSheetName(), LotusSpreadsheet::readSheetName1B(), QuattroSpreadsheet::readSheetSize(), LotusParser::readSheetZone(), WPSOLEObject::readString(), LotusStyleManager::readStyleE6(), DosWordParser::readSUMD(), WPSOLEParser::readSummaryProperty(), WPSOLEParser::readSummaryPropertyString(), WPS4Text::readText(), QuattroGraph::readTextBox(), Quattro9Graph::readTextboxStyle(), Quattro9Parser::readTextFontStyles(), readU16(), readU32(), readU8(), QuattroDosSpreadsheet::readUserStyle(), LotusParser::readVersionZone(), QuattroSpreadsheet::readViewInfo(), WPS8Parser::readWNPR(), LotusParser::readZone(), Quattro9Parser::readZone(), QuattroDosParser::readZone(), QuattroParser::readZone(), WKS4Format::readZone(), WKS4Parser::readZone(), LotusParser::readZone1(), LotusParser::readZone4(), LotusParser::readZone7(), LotusParser::readZone8(), LotusGraph::readZoneBegin(), LotusGraph::readZoneBeginC9(), LotusGraph::readZoneData(), WKS4Parser::readZoneQuattro(), LotusParser::readZones(), libwps::MultiplanParser::readZonesListV2(), libwps::MultiplanParser::retrievePasswordKeys(), Quattro9ParserInternal::TextEntry::send(), QuattroGraph::send(), libwps::MultiplanParser::sendCell(), QuattroDosSpreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), PocketWordParser::sendParagraph(), LotusSpreadsheet::sendText(), QuattroDosChart::sendText(), LotusGraph::sendTextBox(), LotusGraph::sendTextBoxWK4(), LotusSpreadsheet::sendTextNote(), XYWriteParser::update(), and WPSOLE1Parser::updateMetaData().

## ◆ readU8() [2/2]

uint8_t libwps::readU8 | ( | RVNGInputStreamPtr const & | input | ) |
| inline

## ◆ strncasecmp()

static int libwps::strncasecmp | ( | char const * | s1,
|  | char const * | s2,
|  | size_t | n )
| static

Referenced by QuattroSpreadsheet::updateCellWithUserFormat().